Results 1 to 7 of 7

Thread: make on gadmin-squid 0.1.1 error

  1. #1

    Default make on gadmin-squid 0.1.1 error

    Hi there, I'm working on pilot machines for local cacheing (to replace Windows 2003 server & proprietary cache software on a bunch of machines).

    There doesn't appear to be any x86 binaries of gadmin-squid floating around, can anyone tell me what the cause of this error early in the make routine is caused by?

    Code:
    checking for PACKAGE... configure: error: Package requirements (gtk+ 2.0 >= 1.3.13) were not met:No package 'gtk+-2.' found
    Do I need the GTK source, a GTK compiler package, to update my GTK version, a symbolic link somewhere or mystery ingredient X? Sorry if this is a particularly blonde question, I'm sure it'll be the first of many; last time I did server stuff it was text only

  2. #2
    Join Date
    Jan 2009
    Location
    Switzerland
    Posts
    1,529

    Default Re: make on gadmin-squid 0.1.1 error

    Hi,

    make sure that you have the packages gtk2 AND gtk2-devel installed.

  3. #3

    Default Re: make on gadmin-squid 0.1.1 error

    Thanks, it was missing the gtk2-devel package and has moved onto a new error

    Code:
    Package pixman-1 was not found
    Its specifically looking for the file "pixman-1.pc" ... figured I'd check the packages before posting this time, but havn't found anything that refers to the pixman package directly

  4. #4
    Join Date
    Jan 2009
    Location
    Switzerland
    Posts
    1,529

    Default Re: make on gadmin-squid 0.1.1 error

    Hi again,

    Welcome to dependency hell (hmm... it's not so bad at all)

    Install the packages cairo, cairo-devel and xorg-x11-libs

    Then try again to configure/compile, cross your fingers ... and install the next missing packages until it works. Use yast2's search function to find the packages providing missing dependencies and enable RPM "Provides" in the search.

    Hint: when you compile applications yourself you almost certainly need the *-devel package of the dependencies as well.

  5. #5

    Default Re: make on gadmin-squid 0.1.1 error

    Hello again again

    Thanks for your help, 6 packages later (four of which I could only find source for) and it has got as far as having a go at compiling ... it now kicks back with an error from gcc itself and KDE is borked, lol >_<

    I'm going to take a pass on gadmin-squid and use webmin instead :-/ I need something thats predictable running on these caches!

  6. #6
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    32,316
    Blog Entries
    15

    Default Re: make on gadmin-squid 0.1.1 error

    Quote Originally Posted by HollyX
    Hello again again

    Thanks for your help, 6 packages later (four of which I could only find
    source for) and it has got as far as having a go at compiling ... it now
    kicks back with an error from gcc itself and KDE is borked, lol >_<

    I'm going to take a pass on gadmin-squid and use webmin instead :-/ I
    need something thats predictable running on these caches!
    Hi
    They are all on packman...
    http://packman.links2linux.org/searc...=name&q=gadmin

    Download the src rpm and extract so you can see how it's complied

    --
    Cheers Malcolm (Linux Counter #276890)
    SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 2.6.27.25-0.1-default
    up 12:13, 2 users, load average: 1.13, 0.92, 0.50
    GPU GeForce 8600 GTS Silent - Driver Version: 185.18.14


  7. #7

    Default Re: make on gadmin-squid 0.1.1 error

    Wow, thanks!

    Guess I still have a lot to learn about the modern world of Linux

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •